PageRenderTime 75ms CodeModel.GetById 14ms app.highlight 52ms RepoModel.GetById 1ms app.codeStats 1ms

/crypto/heimdal/kpasswd/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 1084 lines | 969 code | 90 blank | 25 comment | 203 complexity | 0cd6cd7d937f32cf01ef4ee96fd4dc28 MD5 | raw file
   1# Makefile.in generated by automake 1.11.1 from Makefile.am.
   2# @configure_input@
   3
   4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
   5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
   6# Inc.
   7# This Makefile.in is free software; the Free Software Foundation
   8# gives unlimited permission to copy and/or distribute it,
   9# with or without modifications, as long as this notice is preserved.
  10
  11# This program is distributed in the hope that it will be useful,
  12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  14# PARTICULAR PURPOSE.
  15
  16@SET_MAKE@
  17
  18# $Id$
  19
  20# $Id$
  21
  22# $Id$
  23
  24VPATH = @srcdir@
  25pkgdatadir = $(datadir)/@PACKAGE@
  26pkgincludedir = $(includedir)/@PACKAGE@
  27pkglibdir = $(libdir)/@PACKAGE@
  28pkglibexecdir = $(libexecdir)/@PACKAGE@
  29am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  30install_sh_DATA = $(install_sh) -c -m 644
  31install_sh_PROGRAM = $(install_sh) -c
  32install_sh_SCRIPT = $(install_sh) -c
  33INSTALL_HEADER = $(INSTALL_DATA)
  34transform = $(program_transform_name)
  35NORMAL_INSTALL = :
  36PRE_INSTALL = :
  37POST_INSTALL = :
  38NORMAL_UNINSTALL = :
  39PRE_UNINSTALL = :
  40POST_UNINSTALL = :
  41build_triplet = @build@
  42host_triplet = @host@
  43DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
  44	$(top_srcdir)/Makefile.am.common \
  45	$(top_srcdir)/cf/Makefile.am.common
  46bin_PROGRAMS = kpasswd$(EXEEXT)
  47libexec_PROGRAMS = kpasswdd$(EXEEXT)
  48noinst_PROGRAMS = kpasswd-generator$(EXEEXT)
  49subdir = kpasswd
  50ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  51am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
  52	$(top_srcdir)/cf/auth-modules.m4 \
  53	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
  54	$(top_srcdir)/cf/broken-glob.m4 \
  55	$(top_srcdir)/cf/broken-realloc.m4 \
  56	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
  57	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
  58	$(top_srcdir)/cf/capabilities.m4 \
  59	$(top_srcdir)/cf/check-compile-et.m4 \
  60	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
  61	$(top_srcdir)/cf/check-man.m4 \
  62	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
  63	$(top_srcdir)/cf/check-type-extra.m4 \
  64	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
  65	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
  66	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
  67	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
  68	$(top_srcdir)/cf/find-func-no-libs.m4 \
  69	$(top_srcdir)/cf/find-func-no-libs2.m4 \
  70	$(top_srcdir)/cf/find-func.m4 \
  71	$(top_srcdir)/cf/find-if-not-broken.m4 \
  72	$(top_srcdir)/cf/framework-security.m4 \
  73	$(top_srcdir)/cf/have-struct-field.m4 \
  74	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
  75	$(top_srcdir)/cf/krb-bigendian.m4 \
  76	$(top_srcdir)/cf/krb-func-getlogin.m4 \
  77	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
  78	$(top_srcdir)/cf/krb-readline.m4 \
  79	$(top_srcdir)/cf/krb-struct-spwd.m4 \
  80	$(top_srcdir)/cf/krb-struct-winsize.m4 \
  81	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
  82	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
  83	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
  84	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
  85	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
  86	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
  87	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
  88	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
  89	$(top_srcdir)/cf/roken-frag.m4 \
  90	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
  91	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
  92	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
  93	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
  94	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
  95am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  96	$(ACLOCAL_M4)
  97mkinstalldirs = $(install_sh) -d
  98CONFIG_HEADER = $(top_builddir)/include/config.h
  99CONFIG_CLEAN_FILES =
 100CONFIG_CLEAN_VPATH_FILES =
 101am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libexecdir)" \
 102	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man8dir)"
 103PROGRAMS = $(bin_PROGRAMS) $(libexec_PROGRAMS) $(noinst_PROGRAMS)
 104am_kpasswd_OBJECTS = kpasswd.$(OBJEXT)
 105kpasswd_OBJECTS = $(am_kpasswd_OBJECTS)
 106kpasswd_LDADD = $(LDADD)
 107am__DEPENDENCIES_1 =
 108kpasswd_DEPENDENCIES = $(top_builddir)/lib/krb5/libkrb5.la \
 109	$(am__DEPENDENCIES_1) $(top_builddir)/lib/asn1/libasn1.la \
 110	$(am__DEPENDENCIES_1)
 111kpasswd_generator_SOURCES = kpasswd-generator.c
 112kpasswd_generator_OBJECTS = kpasswd-generator.$(OBJEXT)
 113kpasswd_generator_LDADD = $(LDADD)
 114kpasswd_generator_DEPENDENCIES = $(top_builddir)/lib/krb5/libkrb5.la \
 115	$(am__DEPENDENCIES_1) $(top_builddir)/lib/asn1/libasn1.la \
 116	$(am__DEPENDENCIES_1)
 117am_kpasswdd_OBJECTS = kpasswdd.$(OBJEXT)
 118kpasswdd_OBJECTS = $(am_kpasswdd_OBJECTS)
 119am__DEPENDENCIES_2 = $(top_builddir)/lib/krb5/libkrb5.la \
 120	$(am__DEPENDENCIES_1) $(top_builddir)/lib/asn1/libasn1.la \
 121	$(am__DEPENDENCIES_1)
 122kpasswdd_DEPENDENCIES = $(top_builddir)/lib/kadm5/libkadm5srv.la \
 123	$(top_builddir)/lib/hdb/libhdb.la $(am__DEPENDENCIES_2) \
 124	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
 125	$(am__DEPENDENCIES_1)
 126depcomp = $(SHELL) $(top_srcdir)/depcomp
 127am__depfiles_maybe = depfiles
 128am__mv = mv -f
 129COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 130	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 131LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 132	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 133	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 134CCLD = $(CC)
 135LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 136	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 137	$(LDFLAGS) -o $@
 138SOURCES = $(kpasswd_SOURCES) kpasswd-generator.c $(kpasswdd_SOURCES)
 139DIST_SOURCES = $(kpasswd_SOURCES) kpasswd-generator.c \
 140	$(kpasswdd_SOURCES)
 141am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 142am__vpath_adj = case $$p in \
 143    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
 144    *) f=$$p;; \
 145  esac;
 146am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
 147am__install_max = 40
 148am__nobase_strip_setup = \
 149  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
 150am__nobase_strip = \
 151  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
 152am__nobase_list = $(am__nobase_strip_setup); \
 153  for p in $$list; do echo "$$p $$p"; done | \
 154  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
 155  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
 156    if (++n[$$2] == $(am__install_max)) \
 157      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
 158    END { for (dir in files) print dir, files[dir] }'
 159am__base_list = \
 160  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
 161  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
 162man1dir = $(mandir)/man1
 163man8dir = $(mandir)/man8
 164MANS = $(man_MANS)
 165ETAGS = etags
 166CTAGS = ctags
 167DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 168ACLOCAL = @ACLOCAL@
 169AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
 170AMTAR = @AMTAR@
 171AR = @AR@
 172ASN1_COMPILE = @ASN1_COMPILE@
 173ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
 174AUTOCONF = @AUTOCONF@
 175AUTOHEADER = @AUTOHEADER@
 176AUTOMAKE = @AUTOMAKE@
 177AWK = @AWK@
 178CANONICAL_HOST = @CANONICAL_HOST@
 179CAPNG_CFLAGS = @CAPNG_CFLAGS@
 180CAPNG_LIBS = @CAPNG_LIBS@
 181CATMAN = @CATMAN@
 182CATMANEXT = @CATMANEXT@
 183CC = @CC@
 184CCDEPMODE = @CCDEPMODE@
 185CFLAGS = @CFLAGS@
 186COMPILE_ET = @COMPILE_ET@
 187CPP = @CPP@
 188CPPFLAGS = @CPPFLAGS@
 189CYGPATH_W = @CYGPATH_W@
 190DBHEADER = @DBHEADER@
 191DBLIB = @DBLIB@
 192DEFS = @DEFS@
 193DEPDIR = @DEPDIR@
 194DIR_com_err = @DIR_com_err@
 195DIR_hcrypto = @DIR_hcrypto@
 196DIR_hdbdir = @DIR_hdbdir@
 197DIR_roken = @DIR_roken@
 198DLLTOOL = @DLLTOOL@
 199DSYMUTIL = @DSYMUTIL@
 200DUMPBIN = @DUMPBIN@
 201ECHO_C = @ECHO_C@
 202ECHO_N = @ECHO_N@
 203ECHO_T = @ECHO_T@
 204EGREP = @EGREP@
 205EXEEXT = @EXEEXT@
 206FGREP = @FGREP@
 207GREP = @GREP@
 208GROFF = @GROFF@
 209INCLUDES_roken = @INCLUDES_roken@
 210INCLUDE_hcrypto = @INCLUDE_hcrypto@
 211INCLUDE_hesiod = @INCLUDE_hesiod@
 212INCLUDE_krb4 = @INCLUDE_krb4@
 213INCLUDE_libedit = @INCLUDE_libedit@
 214INCLUDE_libintl = @INCLUDE_libintl@
 215INCLUDE_openldap = @INCLUDE_openldap@
 216INCLUDE_readline = @INCLUDE_readline@
 217INCLUDE_sqlite3 = @INCLUDE_sqlite3@
 218INSTALL = @INSTALL@
 219INSTALL_DATA = @INSTALL_DATA@
 220INSTALL_PROGRAM = @INSTALL_PROGRAM@
 221INSTALL_SCRIPT = @INSTALL_SCRIPT@
 222INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 223LD = @LD@
 224LDFLAGS = @LDFLAGS@
 225LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
 226LEX = @LEX@
 227LEXLIB = @LEXLIB@
 228LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
 229LIBADD_roken = @LIBADD_roken@
 230LIBOBJS = @LIBOBJS@
 231LIBS = @LIBS@
 232LIBTOOL = @LIBTOOL@
 233LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
 234LIB_NDBM = @LIB_NDBM@
 235LIB_XauFileName = @LIB_XauFileName@
 236LIB_XauReadAuth = @LIB_XauReadAuth@
 237LIB_XauWriteAuth = @LIB_XauWriteAuth@
 238LIB_bswap16 = @LIB_bswap16@
 239LIB_bswap32 = @LIB_bswap32@
 240LIB_com_err = @LIB_com_err@
 241LIB_com_err_a = @LIB_com_err_a@
 242LIB_com_err_so = @LIB_com_err_so@
 243LIB_crypt = @LIB_crypt@
 244LIB_db_create = @LIB_db_create@
 245LIB_dbm_firstkey = @LIB_dbm_firstkey@
 246LIB_dbopen = @LIB_dbopen@
 247LIB_dispatch_async_f = @LIB_dispatch_async_f@
 248LIB_dlopen = @LIB_dlopen@
 249LIB_dn_expand = @LIB_dn_expand@
 250LIB_dns_search = @LIB_dns_search@
 251LIB_door_create = @LIB_door_create@
 252LIB_freeaddrinfo = @LIB_freeaddrinfo@
 253LIB_gai_strerror = @LIB_gai_strerror@
 254LIB_getaddrinfo = @LIB_getaddrinfo@
 255LIB_gethostbyname = @LIB_gethostbyname@
 256LIB_gethostbyname2 = @LIB_gethostbyname2@
 257LIB_getnameinfo = @LIB_getnameinfo@
 258LIB_getpwnam_r = @LIB_getpwnam_r@
 259LIB_getsockopt = @LIB_getsockopt@
 260LIB_hcrypto = @LIB_hcrypto@
 261LIB_hcrypto_a = @LIB_hcrypto_a@
 262LIB_hcrypto_appl = @LIB_hcrypto_appl@
 263LIB_hcrypto_so = @LIB_hcrypto_so@
 264LIB_hesiod = @LIB_hesiod@
 265LIB_hstrerror = @LIB_hstrerror@
 266LIB_kdb = @LIB_kdb@
 267LIB_krb4 = @LIB_krb4@
 268LIB_libedit = @LIB_libedit@
 269LIB_libintl = @LIB_libintl@
 270LIB_loadquery = @LIB_loadquery@
 271LIB_logout = @LIB_logout@
 272LIB_logwtmp = @LIB_logwtmp@
 273LIB_openldap = @LIB_openldap@
 274LIB_openpty = @LIB_openpty@
 275LIB_otp = @LIB_otp@
 276LIB_pidfile = @LIB_pidfile@
 277LIB_readline = @LIB_readline@
 278LIB_res_ndestroy = @LIB_res_ndestroy@
 279LIB_res_nsearch = @LIB_res_nsearch@
 280LIB_res_search = @LIB_res_search@
 281LIB_roken = @LIB_roken@
 282LIB_security = @LIB_security@
 283LIB_setsockopt = @LIB_setsockopt@
 284LIB_socket = @LIB_socket@
 285LIB_sqlite3 = @LIB_sqlite3@
 286LIB_syslog = @LIB_syslog@
 287LIB_tgetent = @LIB_tgetent@
 288LIPO = @LIPO@
 289LN_S = @LN_S@
 290LTLIBOBJS = @LTLIBOBJS@
 291MAINT = @MAINT@
 292MAKEINFO = @MAKEINFO@
 293MANIFEST_TOOL = @MANIFEST_TOOL@
 294MKDIR_P = @MKDIR_P@
 295NM = @NM@
 296NMEDIT = @NMEDIT@
 297NO_AFS = @NO_AFS@
 298NROFF = @NROFF@
 299OBJDUMP = @OBJDUMP@
 300OBJEXT = @OBJEXT@
 301OTOOL = @OTOOL@
 302OTOOL64 = @OTOOL64@
 303PACKAGE = @PACKAGE@
 304PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 305PACKAGE_NAME = @PACKAGE_NAME@
 306PACKAGE_STRING = @PACKAGE_STRING@
 307PACKAGE_TARNAME = @PACKAGE_TARNAME@
 308PACKAGE_URL = @PACKAGE_URL@
 309PACKAGE_VERSION = @PACKAGE_VERSION@
 310PATH_SEPARATOR = @PATH_SEPARATOR@
 311PKG_CONFIG = @PKG_CONFIG@
 312PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
 313PTHREAD_LDADD = @PTHREAD_LDADD@
 314PTHREAD_LIBADD = @PTHREAD_LIBADD@
 315RANLIB = @RANLIB@
 316SED = @SED@
 317SET_MAKE = @SET_MAKE@
 318SHELL = @SHELL@
 319SLC = @SLC@
 320SLC_DEP = @SLC_DEP@
 321STRIP = @STRIP@
 322VERSION = @VERSION@
 323VERSIONING = @VERSIONING@
 324WFLAGS = @WFLAGS@
 325WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
 326WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
 327XMKMF = @XMKMF@
 328X_CFLAGS = @X_CFLAGS@
 329X_EXTRA_LIBS = @X_EXTRA_LIBS@
 330X_LIBS = @X_LIBS@
 331X_PRE_LIBS = @X_PRE_LIBS@
 332YACC = @YACC@
 333YFLAGS = @YFLAGS@
 334abs_builddir = @abs_builddir@
 335abs_srcdir = @abs_srcdir@
 336abs_top_builddir = @abs_top_builddir@
 337abs_top_srcdir = @abs_top_srcdir@
 338ac_ct_AR = @ac_ct_AR@
 339ac_ct_CC = @ac_ct_CC@
 340ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
 341am__include = @am__include@
 342am__leading_dot = @am__leading_dot@
 343am__quote = @am__quote@
 344am__tar = @am__tar@
 345am__untar = @am__untar@
 346bindir = @bindir@
 347build = @build@
 348build_alias = @build_alias@
 349build_cpu = @build_cpu@
 350build_os = @build_os@
 351build_vendor = @build_vendor@
 352builddir = @builddir@
 353datadir = @datadir@
 354datarootdir = @datarootdir@
 355docdir = @docdir@
 356dpagaix_cflags = @dpagaix_cflags@
 357dpagaix_ldadd = @dpagaix_ldadd@
 358dpagaix_ldflags = @dpagaix_ldflags@
 359dvidir = @dvidir@
 360exec_prefix = @exec_prefix@
 361host = @host@
 362host_alias = @host_alias@
 363host_cpu = @host_cpu@
 364host_os = @host_os@
 365host_vendor = @host_vendor@
 366htmldir = @htmldir@
 367includedir = @includedir@
 368infodir = @infodir@
 369install_sh = @install_sh@
 370libdir = @libdir@
 371libexecdir = @libexecdir@
 372localedir = @localedir@
 373localstatedir = @localstatedir@
 374mandir = @mandir@
 375mkdir_p = @mkdir_p@
 376oldincludedir = @oldincludedir@
 377pdfdir = @pdfdir@
 378prefix = @prefix@
 379program_transform_name = @program_transform_name@
 380psdir = @psdir@
 381sbindir = @sbindir@
 382sharedstatedir = @sharedstatedir@
 383srcdir = @srcdir@
 384subdirs = @subdirs@
 385sysconfdir = @sysconfdir@
 386target_alias = @target_alias@
 387top_build_prefix = @top_build_prefix@
 388top_builddir = @top_builddir@
 389top_srcdir = @top_srcdir@
 390SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
 391DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
 392AM_CPPFLAGS = $(INCLUDES_roken) $(INCLUDE_hcrypto)
 393@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
 394AM_CFLAGS = $(WFLAGS)
 395CP = cp
 396buildinclude = $(top_builddir)/include
 397LIB_el_init = @LIB_el_init@
 398LIB_getattr = @LIB_getattr@
 399LIB_getpwent_r = @LIB_getpwent_r@
 400LIB_odm_initialize = @LIB_odm_initialize@
 401LIB_setpcred = @LIB_setpcred@
 402HESIODLIB = @HESIODLIB@
 403HESIODINCLUDE = @HESIODINCLUDE@
 404libexec_heimdaldir = $(libexecdir)/heimdal
 405NROFF_MAN = groff -mandoc -Tascii
 406LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
 407@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
 408@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
 409
 410@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
 411LIB_heimbase = $(top_builddir)/base/libheimbase.la
 412@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
 413man_MANS = kpasswd.1 kpasswdd.8
 414kpasswd_SOURCES = kpasswd.c kpasswd_locl.h
 415kpasswdd_SOURCES = kpasswdd.c kpasswd_locl.h
 416kpasswdd_LDADD = \
 417	$(top_builddir)/lib/kadm5/libkadm5srv.la \
 418	$(top_builddir)/lib/hdb/libhdb.la \
 419	$(LDADD) \
 420	$(LIB_pidfile) \
 421	$(LIB_dlopen) \
 422	$(DBLIB)
 423
 424LDADD = $(top_builddir)/lib/krb5/libkrb5.la \
 425	$(LIB_hcrypto) \
 426	$(top_builddir)/lib/asn1/libasn1.la \
 427	$(LIB_roken)
 428
 429EXTRA_DIST = NTMakefile $(man_MANS)
 430all: all-am
 431
 432.SUFFIXES:
 433.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
 434$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
 435	@for dep in $?; do \
 436	  case '$(am__configure_deps)' in \
 437	    *$$dep*) \
 438	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
 439	        && { if test -f $@; then exit 0; else break; fi; }; \
 440	      exit 1;; \
 441	  esac; \
 442	done; \
 443	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign kpasswd/Makefile'; \
 444	$(am__cd) $(top_srcdir) && \
 445	  $(AUTOMAKE) --foreign kpasswd/Makefile
 446.PRECIOUS: Makefile
 447Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 448	@case '$?' in \
 449	  *config.status*) \
 450	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 451	  *) \
 452	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
 453	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
 454	esac;
 455
 456$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 457	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 458
 459$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
 460	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 461$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
 462	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 463$(am__aclocal_m4_deps):
 464install-binPROGRAMS: $(bin_PROGRAMS)
 465	@$(NORMAL_INSTALL)
 466	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
 467	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
 468	for p in $$list; do echo "$$p $$p"; done | \
 469	sed 's/$(EXEEXT)$$//' | \
 470	while read p p1; do if test -f $$p || test -f $$p1; \
 471	  then echo "$$p"; echo "$$p"; else :; fi; \
 472	done | \
 473	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
 474	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
 475	sed 'N;N;N;s,\n, ,g' | \
 476	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
 477	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
 478	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
 479	    else { print "f", $$3 "/" $$4, $$1; } } \
 480	  END { for (d in files) print "f", d, files[d] }' | \
 481	while read type dir files; do \
 482	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
 483	    test -z "$$files" || { \
 484	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
 485	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
 486	    } \
 487	; done
 488
 489uninstall-binPROGRAMS:
 490	@$(NORMAL_UNINSTALL)
 491	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
 492	files=`for p in $$list; do echo "$$p"; done | \
 493	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
 494	      -e 's/$$/$(EXEEXT)/' `; \
 495	test -n "$$list" || exit 0; \
 496	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
 497	cd "$(DESTDIR)$(bindir)" && rm -f $$files
 498
 499clean-binPROGRAMS:
 500	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
 501	echo " rm -f" $$list; \
 502	rm -f $$list || exit $$?; \
 503	test -n "$(EXEEXT)" || exit 0; \
 504	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
 505	echo " rm -f" $$list; \
 506	rm -f $$list
 507install-libexecPROGRAMS: $(libexec_PROGRAMS)
 508	@$(NORMAL_INSTALL)
 509	test -z "$(libexecdir)" || $(MKDIR_P) "$(DESTDIR)$(libexecdir)"
 510	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
 511	for p in $$list; do echo "$$p $$p"; done | \
 512	sed 's/$(EXEEXT)$$//' | \
 513	while read p p1; do if test -f $$p || test -f $$p1; \
 514	  then echo "$$p"; echo "$$p"; else :; fi; \
 515	done | \
 516	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
 517	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
 518	sed 'N;N;N;s,\n, ,g' | \
 519	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
 520	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
 521	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
 522	    else { print "f", $$3 "/" $$4, $$1; } } \
 523	  END { for (d in files) print "f", d, files[d] }' | \
 524	while read type dir files; do \
 525	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
 526	    test -z "$$files" || { \
 527	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
 528	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
 529	    } \
 530	; done
 531
 532uninstall-libexecPROGRAMS:
 533	@$(NORMAL_UNINSTALL)
 534	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
 535	files=`for p in $$list; do echo "$$p"; done | \
 536	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
 537	      -e 's/$$/$(EXEEXT)/' `; \
 538	test -n "$$list" || exit 0; \
 539	echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
 540	cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
 541
 542clean-libexecPROGRAMS:
 543	@list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
 544	echo " rm -f" $$list; \
 545	rm -f $$list || exit $$?; \
 546	test -n "$(EXEEXT)" || exit 0; \
 547	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
 548	echo " rm -f" $$list; \
 549	rm -f $$list
 550
 551clean-noinstPROGRAMS:
 552	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
 553	echo " rm -f" $$list; \
 554	rm -f $$list || exit $$?; \
 555	test -n "$(EXEEXT)" || exit 0; \
 556	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
 557	echo " rm -f" $$list; \
 558	rm -f $$list
 559kpasswd$(EXEEXT): $(kpasswd_OBJECTS) $(kpasswd_DEPENDENCIES) 
 560	@rm -f kpasswd$(EXEEXT)
 561	$(LINK) $(kpasswd_OBJECTS) $(kpasswd_LDADD) $(LIBS)
 562kpasswd-generator$(EXEEXT): $(kpasswd_generator_OBJECTS) $(kpasswd_generator_DEPENDENCIES) 
 563	@rm -f kpasswd-generator$(EXEEXT)
 564	$(LINK) $(kpasswd_generator_OBJECTS) $(kpasswd_generator_LDADD) $(LIBS)
 565kpasswdd$(EXEEXT): $(kpasswdd_OBJECTS) $(kpasswdd_DEPENDENCIES) 
 566	@rm -f kpasswdd$(EXEEXT)
 567	$(LINK) $(kpasswdd_OBJECTS) $(kpasswdd_LDADD) $(LIBS)
 568
 569mostlyclean-compile:
 570	-rm -f *.$(OBJEXT)
 571
 572distclean-compile:
 573	-rm -f *.tab.c
 574
 575@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpasswd-generator.Po@am__quote@
 576@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpasswd.Po@am__quote@
 577@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpasswdd.Po@am__quote@
 578
 579.c.o:
 580@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 581@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 582@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 583@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 584@am__fastdepCC_FALSE@	$(COMPILE) -c $<
 585
 586.c.obj:
 587@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
 588@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 589@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 590@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 591@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
 592
 593.c.lo:
 594@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 595@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
 596@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 597@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 598@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
 599
 600mostlyclean-libtool:
 601	-rm -f *.lo
 602
 603clean-libtool:
 604	-rm -rf .libs _libs
 605install-man1: $(man_MANS)
 606	@$(NORMAL_INSTALL)
 607	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
 608	@list=''; test -n "$(man1dir)" || exit 0; \
 609	{ for i in $$list; do echo "$$i"; done; \
 610	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
 611	  sed -n '/\.1[a-z]*$$/p'; \
 612	} | while read p; do \
 613	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
 614	  echo "$$d$$p"; echo "$$p"; \
 615	done | \
 616	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
 617	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
 618	sed 'N;N;s,\n, ,g' | { \
 619	list=; while read file base inst; do \
 620	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
 621	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
 622	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
 623	  fi; \
 624	done; \
 625	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
 626	while read files; do \
 627	  test -z "$$files" || { \
 628	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
 629	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
 630	done; }
 631
 632uninstall-man1:
 633	@$(NORMAL_UNINSTALL)
 634	@list=''; test -n "$(man1dir)" || exit 0; \
 635	files=`{ for i in $$list; do echo "$$i"; done; \
 636	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
 637	  sed -n '/\.1[a-z]*$$/p'; \
 638	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
 639	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
 640	test -z "$$files" || { \
 641	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
 642	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
 643install-man8: $(man_MANS)
 644	@$(NORMAL_INSTALL)
 645	test -z "$(man8dir)" || $(MKDIR_P) "$(DESTDIR)$(man8dir)"
 646	@list=''; test -n "$(man8dir)" || exit 0; \
 647	{ for i in $$list; do echo "$$i"; done; \
 648	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
 649	  sed -n '/\.8[a-z]*$$/p'; \
 650	} | while read p; do \
 651	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
 652	  echo "$$d$$p"; echo "$$p"; \
 653	done | \
 654	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
 655	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
 656	sed 'N;N;s,\n, ,g' | { \
 657	list=; while read file base inst; do \
 658	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
 659	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
 660	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
 661	  fi; \
 662	done; \
 663	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
 664	while read files; do \
 665	  test -z "$$files" || { \
 666	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
 667	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
 668	done; }
 669
 670uninstall-man8:
 671	@$(NORMAL_UNINSTALL)
 672	@list=''; test -n "$(man8dir)" || exit 0; \
 673	files=`{ for i in $$list; do echo "$$i"; done; \
 674	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
 675	  sed -n '/\.8[a-z]*$$/p'; \
 676	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
 677	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
 678	test -z "$$files" || { \
 679	  echo " ( cd '$(DESTDIR)$(man8dir)' && rm -f" $$files ")"; \
 680	  cd "$(DESTDIR)$(man8dir)" && rm -f $$files; }
 681
 682ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
 683	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
 684	unique=`for i in $$list; do \
 685	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 686	  done | \
 687	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 688	      END { if (nonempty) { for (i in files) print i; }; }'`; \
 689	mkid -fID $$unique
 690tags: TAGS
 691
 692TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 693		$(TAGS_FILES) $(LISP)
 694	set x; \
 695	here=`pwd`; \
 696	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 697	unique=`for i in $$list; do \
 698	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 699	  done | \
 700	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 701	      END { if (nonempty) { for (i in files) print i; }; }'`; \
 702	shift; \
 703	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
 704	  test -n "$$unique" || unique=$$empty_fix; \
 705	  if test $$# -gt 0; then \
 706	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 707	      "$$@" $$unique; \
 708	  else \
 709	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 710	      $$unique; \
 711	  fi; \
 712	fi
 713ctags: CTAGS
 714CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 715		$(TAGS_FILES) $(LISP)
 716	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 717	unique=`for i in $$list; do \
 718	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 719	  done | \
 720	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 721	      END { if (nonempty) { for (i in files) print i; }; }'`; \
 722	test -z "$(CTAGS_ARGS)$$unique" \
 723	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
 724	     $$unique
 725
 726GTAGS:
 727	here=`$(am__cd) $(top_builddir) && pwd` \
 728	  && $(am__cd) $(top_srcdir) \
 729	  && gtags -i $(GTAGS_ARGS) "$$here"
 730
 731distclean-tags:
 732	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 733
 734distdir: $(DISTFILES)
 735	@list='$(MANS)'; if test -n "$$list"; then \
 736	  list=`for p in $$list; do \
 737	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
 738	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
 739	  if test -n "$$list" && \
 740	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
 741	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
 742	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
 743	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
 744	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
 745	    exit 1; \
 746	  else :; fi; \
 747	else :; fi
 748	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 749	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 750	list='$(DISTFILES)'; \
 751	  dist_files=`for file in $$list; do echo $$file; done | \
 752	  sed -e "s|^$$srcdirstrip/||;t" \
 753	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 754	case $$dist_files in \
 755	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 756			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 757			   sort -u` ;; \
 758	esac; \
 759	for file in $$dist_files; do \
 760	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 761	  if test -d $$d/$$file; then \
 762	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 763	    if test -d "$(distdir)/$$file"; then \
 764	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 765	    fi; \
 766	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 767	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 768	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 769	    fi; \
 770	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 771	  else \
 772	    test -f "$(distdir)/$$file" \
 773	    || cp -p $$d/$$file "$(distdir)/$$file" \
 774	    || exit 1; \
 775	  fi; \
 776	done
 777	$(MAKE) $(AM_MAKEFLAGS) \
 778	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
 779	  dist-hook
 780check-am: all-am
 781	$(MAKE) $(AM_MAKEFLAGS) check-local
 782check: check-am
 783all-am: Makefile $(PROGRAMS) $(MANS) all-local
 784installdirs:
 785	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man8dir)"; do \
 786	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 787	done
 788install: install-am
 789install-exec: install-exec-am
 790install-data: install-data-am
 791uninstall: uninstall-am
 792
 793install-am: all-am
 794	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 795
 796installcheck: installcheck-am
 797install-strip:
 798	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 799	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 800	  `test -z '$(STRIP)' || \
 801	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
 802mostlyclean-generic:
 803
 804clean-generic:
 805
 806distclean-generic:
 807	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 808	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 809
 810maintainer-clean-generic:
 811	@echo "This command is intended for maintainers to use"
 812	@echo "it deletes files that may require special tools to rebuild."
 813clean: clean-am
 814
 815clean-am: clean-binPROGRAMS clean-generic clean-libexecPROGRAMS \
 816	clean-libtool clean-noinstPROGRAMS mostlyclean-am
 817
 818distclean: distclean-am
 819	-rm -rf ./$(DEPDIR)
 820	-rm -f Makefile
 821distclean-am: clean-am distclean-compile distclean-generic \
 822	distclean-tags
 823
 824dvi: dvi-am
 825
 826dvi-am:
 827
 828html: html-am
 829
 830html-am:
 831
 832info: info-am
 833
 834info-am:
 835
 836install-data-am: install-man
 837	@$(NORMAL_INSTALL)
 838	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
 839install-dvi: install-dvi-am
 840
 841install-dvi-am:
 842
 843install-exec-am: install-binPROGRAMS install-libexecPROGRAMS
 844	@$(NORMAL_INSTALL)
 845	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
 846install-html: install-html-am
 847
 848install-html-am:
 849
 850install-info: install-info-am
 851
 852install-info-am:
 853
 854install-man: install-man1 install-man8
 855
 856install-pdf: install-pdf-am
 857
 858install-pdf-am:
 859
 860install-ps: install-ps-am
 861
 862install-ps-am:
 863
 864installcheck-am:
 865
 866maintainer-clean: maintainer-clean-am
 867	-rm -rf ./$(DEPDIR)
 868	-rm -f Makefile
 869maintainer-clean-am: distclean-am maintainer-clean-generic
 870
 871mostlyclean: mostlyclean-am
 872
 873mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 874	mostlyclean-libtool
 875
 876pdf: pdf-am
 877
 878pdf-am:
 879
 880ps: ps-am
 881
 882ps-am:
 883
 884uninstall-am: uninstall-binPROGRAMS uninstall-libexecPROGRAMS \
 885	uninstall-man
 886	@$(NORMAL_INSTALL)
 887	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
 888uninstall-man: uninstall-man1 uninstall-man8
 889
 890.MAKE: check-am install-am install-data-am install-exec-am \
 891	install-strip uninstall-am
 892
 893.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
 894	clean clean-binPROGRAMS clean-generic clean-libexecPROGRAMS \
 895	clean-libtool clean-noinstPROGRAMS ctags dist-hook distclean \
 896	distclean-compile distclean-generic distclean-libtool \
 897	distclean-tags distdir dvi dvi-am html html-am info info-am \
 898	install install-am install-binPROGRAMS install-data \
 899	install-data-am install-data-hook install-dvi install-dvi-am \
 900	install-exec install-exec-am install-exec-hook install-html \
 901	install-html-am install-info install-info-am \
 902	install-libexecPROGRAMS install-man install-man1 install-man8 \
 903	install-pdf install-pdf-am install-ps install-ps-am \
 904	install-strip installcheck installcheck-am installdirs \
 905	maintainer-clean maintainer-clean-generic mostlyclean \
 906	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
 907	pdf pdf-am ps ps-am tags uninstall uninstall-am \
 908	uninstall-binPROGRAMS uninstall-hook uninstall-libexecPROGRAMS \
 909	uninstall-man uninstall-man1 uninstall-man8
 910
 911
 912install-suid-programs:
 913	@foo='$(bin_SUIDS)'; \
 914	for file in $$foo; do \
 915	x=$(DESTDIR)$(bindir)/$$file; \
 916	if chown 0:0 $$x && chmod u+s $$x; then :; else \
 917	echo "*"; \
 918	echo "* Failed to install $$x setuid root"; \
 919	echo "*"; \
 920	fi; done
 921
 922install-exec-hook: install-suid-programs
 923
 924install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
 925	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
 926	for f in $$foo; do \
 927		f=`basename $$f`; \
 928		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
 929		else file="$$f"; fi; \
 930		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
 931		: ; else \
 932			echo " $(CP) $$file $(buildinclude)/$$f"; \
 933			$(CP) $$file $(buildinclude)/$$f; \
 934		fi ; \
 935	done ; \
 936	foo='$(nobase_include_HEADERS)'; \
 937	for f in $$foo; do \
 938		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
 939		else file="$$f"; fi; \
 940		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
 941		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
 942		: ; else \
 943			echo " $(CP) $$file $(buildinclude)/$$f"; \
 944			$(CP) $$file $(buildinclude)/$$f; \
 945		fi ; \
 946	done
 947
 948all-local: install-build-headers
 949
 950check-local::
 951	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
 952	  foo=''; elif test '$(CHECK_LOCAL)'; then \
 953	  foo='$(CHECK_LOCAL)'; else \
 954	  foo='$(PROGRAMS)'; fi; \
 955	  if test "$$foo"; then \
 956	  failed=0; all=0; \
 957	  for i in $$foo; do \
 958	    all=`expr $$all + 1`; \
 959	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
 960	      echo "PASS: $$i"; \
 961	    else \
 962	      echo "FAIL: $$i"; \
 963	      failed=`expr $$failed + 1`; \
 964	    fi; \
 965	  done; \
 966	  if test "$$failed" -eq 0; then \
 967	    banner="All $$all tests passed"; \
 968	  else \
 969	    banner="$$failed of $$all tests failed"; \
 970	  fi; \
 971	  dashes=`echo "$$banner" | sed s/./=/g`; \
 972	  echo "$$dashes"; \
 973	  echo "$$banner"; \
 974	  echo "$$dashes"; \
 975	  test "$$failed" -eq 0 || exit 1; \
 976	fi
 977
 978.x.c:
 979	@cmp -s $< $@ 2> /dev/null || cp $< $@
 980
 981.hx.h:
 982	@cmp -s $< $@ 2> /dev/null || cp $< $@
 983#NROFF_MAN = nroff -man
 984.1.cat1:
 985	$(NROFF_MAN) $< > $@
 986.3.cat3:
 987	$(NROFF_MAN) $< > $@
 988.5.cat5:
 989	$(NROFF_MAN) $< > $@
 990.8.cat8:
 991	$(NROFF_MAN) $< > $@
 992
 993dist-cat1-mans:
 994	@foo='$(man1_MANS)'; \
 995	bar='$(man_MANS)'; \
 996	for i in $$bar; do \
 997	case $$i in \
 998	*.1) foo="$$foo $$i";; \
 999	esac; done ;\
1000	for i in $$foo; do \
1001		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
1002		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1003		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1004	done
1005
1006dist-cat3-mans:
1007	@foo='$(man3_MANS)'; \
1008	bar='$(man_MANS)'; \
1009	for i in $$bar; do \
1010	case $$i in \
1011	*.3) foo="$$foo $$i";; \
1012	esac; done ;\
1013	for i in $$foo; do \
1014		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
1015		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1016		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1017	done
1018
1019dist-cat5-mans:
1020	@foo='$(man5_MANS)'; \
1021	bar='$(man_MANS)'; \
1022	for i in $$bar; do \
1023	case $$i in \
1024	*.5) foo="$$foo $$i";; \
1025	esac; done ;\
1026	for i in $$foo; do \
1027		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1028		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1029		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1030	done
1031
1032dist-cat8-mans:
1033	@foo='$(man8_MANS)'; \
1034	bar='$(man_MANS)'; \
1035	for i in $$bar; do \
1036	case $$i in \
1037	*.8) foo="$$foo $$i";; \
1038	esac; done ;\
1039	for i in $$foo; do \
1040		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1041		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1042		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1043	done
1044
1045dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1046
1047install-cat-mans:
1048	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1049
1050uninstall-cat-mans:
1051	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1052
1053install-data-hook: install-cat-mans
1054uninstall-hook: uninstall-cat-mans
1055
1056.et.h:
1057	$(COMPILE_ET) $<
1058.et.c:
1059	$(COMPILE_ET) $<
1060
1061#
1062# Useful target for debugging
1063#
1064
1065check-valgrind:
1066	tobjdir=`cd $(top_builddir) && pwd` ; \
1067	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1068	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1069
1070#
1071# Target to please samba build farm, builds distfiles in-tree.
1072# Will break when automake changes...
1073#
1074
1075distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1076	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1077	  if test "$$subdir" != .; then \
1078	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1079	  fi ; \
1080	done
1081
1082# Tell versions [3.59,3.63) of GNU make to not export all variables.
1083# Otherwise a system limit (for SysV at least) may be exceeded.
1084.NOEXPORT: